<?php
    /**  
     * Zend Framework  
     *  
     * This source file provides a test driver for testing the xml2json feature of Zend_Json.  
     * This PHP script will take an XML filename as the command line argument. It can also  
     * take an optional second argument to indicate whether the XML attributes in the XML file  
     * should be ignored or not ignored during xml2json conversion.  
     * A value of 1 means ignore XML attributes and a 0 means not to ignore XML attribtes.  
     * If the optional second argument is omitted, then the XML attributes will be ignored.  
     * It uses the fromXml function in the Zend_Json class to convert the XML string into a JSON string.  
     *  
     * @category   Zend  
     * @package    Zend_Json  
     * @copyright  Copyright (c) 2005-2007 Zend Technologies USA Inc. (http://www.zend.com)  
     * @license    http://framework.zend.com/license/new-bsd     New BSD License  
     */   
    // Change this to match your Zend Framework directories.
    set_include_path( 'c:\\temp\\ZendFramework-trunk\\incubator\\library' . PATH_SEPARATOR   
             . 'c:\\temp\\ZendFramework-trunk\\library' . PATH_SEPARATOR   
             . get_include_path()); 

    require_once("Zend/Json.php");   
  
    // Filename from where XML contents are to be read.   
    $testXmlFile = "";   
    $ignoreXmlAttributes = true;
  
    // Read the filename from the command line.   
    if ($argc <= 1) {   
        print("Please provide the XML filename as a command-line argument:\n");   
        print("\tphp -f Zend_xml2json_test.php test1.xml\n");   
        print("You can also provide an optional second argument as 1 or 0. Default is 1.\n");   
        print("1 means ignore XML atrributes in xml2json conversion. 0 means don't ignore XML attributes.\n");   
        print("\tphp -f Zend_xml2json_test.php test1.xml 1\n");   
        return;   
    } else {   
        // Get the XML filename from the command line argument.
        $testXmlFile = $argv[1];   

        // Get the optional argument to ingore or not ignore the XML attributes.
        if (($argc == 3) && ($argv[2] == "0")) {
            $ignoreXmlAttributes = false;
        } // End of if (($argc == 3) && ($argv[2] == "0"))
    } // End of if ($argc <= 1)
  
    //Read the XML contents from the input file.   
    file_exists($testXmlFile) or die('Could not find file ' . $testXmlFile); 
    $xmlStringContents = file_get_contents($testXmlFile);   
  
    $jsonContents = "";   
    // Convert it to JSON now.   
    // fromXml function simply takes a String containing XML contents as input.   
    $jsonContents = Zend_Json::fromXml($xmlStringContents, $ignoreXmlAttributes);   
  
    echo("JSON formatted output generated by Zend_Json::fromXml\n\n");   
    echo($jsonContents);   
?>  
